<template>
  <ProForm :model="form" label-width="160px" label-position="left" is-read>
    <ChunkCellV2 title="批次信息" style="margin-bottom: 0">
      <BatchInfoView :form="form"></BatchInfoView>
    </ChunkCellV2>
    <ChunkCellV2
      title="汇总材料"
      style="margin-bottom: 0"
      v-if="form.parkCollectFileList.length > 0"
    >
      <MaterialInfoView :form="form"></MaterialInfoView>
    </ChunkCellV2>
    <ChunkCellV2 title="汇算材料" style="margin-bottom: 0">
      <SettlementMaterialInfoView :form="form"></SettlementMaterialInfoView>
    </ChunkCellV2>
    <slot></slot>
  </ProForm>
</template>

<script setup lang="ts">
import { ProForm, UploadUserFile, ChunkCell } from '@bole-core/components';
import ChunkCellV2 from '@/components/Layout/ChunkCellV2.vue';
import BatchInfoView from './BatchInfoView.vue';
import MaterialInfoView from './MaterialInfoView.vue';
import SettlementMaterialInfoView from './SettlementMaterialInfoView.vue';
import { CustomerApplyFileTypeListItem } from './utils';

defineOptions({
  name: 'DetailView',
});

type Props = {
  hasForm?: boolean;
  form?: {
    batchNo: string;
    parkName: string;
    parkTypeName: string;
    applyMonth: string;
    applySumAmount: number;
    financeSumAmount: number;
    settleSumAmount: number;
    /** 奖励金分配表 */
    // bountyAssignFileUlr: UploadUserFile[];
    /** 奖励金汇总表 */
    // bountyCollectFileUrl: UploadUserFile[];
    parkCollectFileList: CustomerApplyFileTypeListItem[];
    /**汇算材料 */
    calculationFileList: CustomerApplyFileTypeListItem[];
    /** 是否支持平台充值 */
    suportPlatRecharge?: boolean;
  };
};

const props = withDefaults(defineProps<Props>(), {
  hasForm: false,
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;

.page-form-layout {
  .el-form {
    padding-bottom: 22px;
  }

  .chunk-cell-table {
    :deep() {
      .chunk-cell-v2-content {
        margin-bottom: 30px;
      }
    }
  }
}
</style>
